For Developers
Delete Rule
DELETE https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/rules/:rule_id
Deletes a rule and triggers an integration materialization.
Permissions
Requires either the rules.create or rules.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:integration_id | UUID | Yes | The ID of the integration. |
:rule_id | UUID | Yes | The ID of the rule to delete. |
Sample Request
const response = await axios.delete(
`https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/rules/${rule_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "7ca194a2-1982-4f91-8841-59128aa10234",
"deleted": true
}
}
